Bitcoin Forum
May 25, 2017, 07:17:28 AM *
News: Latest stable version of Bitcoin Core: 0.14.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 [49] 50 51 52 53 54 55 56 »
  Print  
Author Topic: (ANN) Netcoin has gone POS! With PIR & OWI  (Read 84320 times)
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 02, 2016, 10:16:51 PM
 #961

Think i have fixed the staking on win10 issue.
I was able to reproduce the issue on a win10 vm and got a test wallet running atm that staked without crashing.

Only need comfirmation from others it is really fixed or not so please try out the test wallet and see if it works for you.

http://www.mediafire.com/file/9nvupha4bpjyq0m/netcoin-qt-win10-test.7z

Congrats Arjan the fix you did works fine. I've had a successful stake now on a single large input. I had compatibility for windows 7 turned off and no issues. Thanks for the prompt action on this.

Once the peers less than v2.5 are ignored this will be an update that should be pushed out to people asap. I.e. get the netcoin.io site updated to have the version on etc.

Nice work again mate.
1495696648
Hero Member
*
Offline Offline

Posts: 1495696648

View Profile Personal Message (Offline)

Ignore
1495696648
Reply with quote  #2

1495696648
Report to moderator
POLONIEX TRADING SIGNALS
+50% Profit and more via TELEGRAM
ALTCOINTRADER.CO
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1495696648
Hero Member
*
Offline Offline

Posts: 1495696648

View Profile Personal Message (Offline)

Ignore
1495696648
Reply with quote  #2

1495696648
Report to moderator
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 08, 2016, 08:45:40 PM
 #962

Delisting message is gone and the daily volume has been healthy at 0.5btc approx. Be good if we can get it to an average of 1btc a day if more people use the coin.
tepelstreeltje
Newbie
*
Offline Offline

Activity: 29


View Profile
October 09, 2016, 01:13:50 PM
 #963

Awesome that Netcoin is still listed on Bittrex. Thanks to all that made it possible. All we need to do now is maintain and build up that volume so it never get in danger of delisting again.

I will release a mandatory update next Friday on oct 14th that will disconnect all previous nodes also the v2.5 nodes!!!

 I apologize for the inconvienence but this will be a fork again so i recommend to shutdown the wallet before the release on Friday and sync up after with the new wallet to avoid being on the fork and a complete resync of the chain.
neogen1
Sr. Member
****
Offline Offline

Activity: 453



View Profile WWW
October 09, 2016, 01:21:03 PM
 #964

I have upgate to 2.5 but my wallet do not sync it stopped 3 weeks ago at block 1294421.

i have 14 connections, so whats wrong?

Bigjohnson124
Full Member
***
Offline Offline

Activity: 148

Netcoins are the best coins!


View Profile WWW
October 12, 2016, 04:27:56 AM
 #965

Just a heads up folks!

v2.5.1 MANDATORY release this coming Friday, OCT. 14th a new update that will disconnect all the old nodes including the 2.5 so it will be a mandatory update again. We recommend to shutdown the wallet on Thursday already or atleast before the release Friday otherwise a resync is needed again. Stay tuned!

Bigjohnson124
Full Member
***
Offline Offline

Activity: 148

Netcoins are the best coins!


View Profile WWW
October 12, 2016, 04:35:09 AM
 #966

I have upgate to 2.5 but my wallet do not sync it stopped 3 weeks ago at block 1294421.

i have 14 connections, so whats wrong?

More info is needed.

Have you started from scratch as in a fresh appdata>roaming>NetCoin folder? I would wait until Friday's release and if you backup your wallet.dat file and go from fresh, it will go without the conflicting v2.3.1 nodes still connected to the network. That could be the issue but it seems you didn't start with a fresh appdata folder.


asor
Hero Member
*****
Offline Offline

Activity: 756



View Profile
October 14, 2016, 07:38:57 PM
 #967

I recently compiled the latest releases (tried tar.gz of v2.5 and directly cloning from git repo) on my Odroid U2 using Linaro Ubuntu (Berkeley DB 5.3.15, December 19, 2011). The first time I start the Netcoin daemon, everything is fine. But when I restart the Netcoin daemon using "./netcoind stop" (checking that it was stopped successfully using Linux CMD "ps") followed by "./netcoind", the Netcoin daemon is always crashing with the following exception:

Code:
************************
EXCEPTION: St13runtime_error
init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process
netcoin in msghand

terminate called after throwing an instance of 'std::runtime_error'
  what():  init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process

When I delete the entire content of the netcoin directory in "/home/odroid/.netcoin" and start the Netcoin daemon, everything works fine and the chain is synchronizing. Whenever I need to restart the Netcoin daemon, I'm getting the error described above, I need to delete the entire directory content in "/home/odroid/.netcoin" and I need to download the entire blockchain again.
Other coins are working like a charm on my Odroid but not Netcoin, so I think it's a problem with Netcoin Undecided Huh Tongue
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 14, 2016, 11:08:07 PM
 #968

Arjan is the new wallet released yet? i shutdown my wallet yesterday.
tepelstreeltje
Newbie
*
Offline Offline

Activity: 29


View Profile
October 15, 2016, 01:45:44 PM
 #969

Sorry for the delay but i released v2.5.1. This update will disconnect the older nodes and there will be a change to the PoS diff retageting after block 1345000. Please remove the addnodes in the conf file if there are any and delete the peers.dat. If you have issues connecting try these addnodes:
addnode=84.105.200.241
addnode=89.154.0.37
addnode=50.107.86.75
addnode=68.224.238.173
addnode=83.240.176.25
addnode=73.214.14.51
If you shutdown the old wallet before block 1344639 you should be good and just sync up but after you need to remove the chain and redownload or use a backup/snapshot.

I recently compiled the latest releases (tried tar.gz of v2.5 and directly cloning from git repo) on my Odroid U2 using Linaro Ubuntu (Berkeley DB 5.3.15, December 19, 2011). The first time I start the Netcoin daemon, everything is fine. But when I restart the Netcoin daemon using "./netcoind stop" (checking that it was stopped successfully using Linux CMD "ps") followed by "./netcoind", the Netcoin daemon is always crashing with the following exception:

Code:
************************
EXCEPTION: St13runtime_error
init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process
netcoin in msghand

terminate called after throwing an instance of 'std::runtime_error'
  what():  init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process

When I delete the entire content of the netcoin directory in "/home/odroid/.netcoin" and start the Netcoin daemon, everything works fine and the chain is synchronizing. Whenever I need to restart the Netcoin daemon, I'm getting the error described above, I need to delete the entire directory content in "/home/odroid/.netcoin" and I need to download the entire blockchain again.
Other coins are working like a charm on my Odroid but not Netcoin, so I think it's a problem with Netcoin Undecided Huh Tongue

Did the older Netcoin versions had this issue aswell or did it start after a certain update? Also see you are using Berkeley DB 5.3 Netcoin uses BDB 4.8
desynct
Sr. Member
****
Offline Offline

Activity: 322


View Profile
October 15, 2016, 02:25:22 PM
 #970

Sorry for the delay but i released v2.5.1. This update will disconnect the older nodes and there will be a change to the PoS diff retageting after block 1345000. Please remove the addnodes in the conf file if there are any and delete the peers.dat. If you have issues connecting try these addnodes:
addnode=84.105.200.241
addnode=89.154.0.37
addnode=50.107.86.75
addnode=68.224.238.173
addnode=83.240.176.25
addnode=73.214.14.51
If you shutdown the old wallet before block 1344639 you should be good and just sync up but after you need to remove the chain and redownload or use a backup/snapshot.

you'r awesome pal, you've posted this after block 1345000  Grin
all girls be nice now, i have to resync from backup.

btw, it still says Client version 2.5.0.0, though Build date is new,
and i can't forcefully connect to those nodes, they refuse or me hmmmmm
are you sure you built win wallets from 2.5.1.0 ?
tepelstreeltje
Newbie
*
Offline Offline

Activity: 29


View Profile
October 15, 2016, 03:34:06 PM
 #971

Yea sorry about that messed up with the win64 wallet been at it the whole night and was pretty much sleeping this morning when i updated the repo. Removed it already and put up a freshly build just now. The network forked already on block 1344640 not sure where the 2.5 is but the 2.5.1 is on block 1345002 so the change has just been activated.

https://github.com/netcoinfoundation/netcoin/releases/tag/v2.5.1
Trimegistus
Hero Member
*****
Offline Offline

Activity: 668



View Profile
October 15, 2016, 03:45:36 PM
 #972

New wallet is working, fully synced, and staking without the need to use compatibility mode under Win 10

Finally... Grin

desynct
Sr. Member
****
Offline Offline

Activity: 322


View Profile
October 15, 2016, 07:34:51 PM
 #973

maybe i'm the only one pussy ungrateful, but it's getting slower and slower with every new version ...
shit started first when it changed to leveldb,
i only hope it's because of too frequent upgrades Smiley
when everybody's on newest version things may improve
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 15, 2016, 09:40:28 PM
 #974

maybe i'm the only one pussy ungrateful, but it's getting slower and slower with every new version ...
shit started first when it changed to leveldb,
i only hope it's because of too frequent upgrades Smiley
when everybody's on newest version things may improve

It depends on what peer list you get for how fast it downloads the chain etc.

When you say slow do you mean the actual wallet starting or the chain download? If the chain download its not going to be a database speed its going to be the peer to peer file propagation.
desynct
Sr. Member
****
Offline Offline

Activity: 322


View Profile
October 15, 2016, 09:47:45 PM
 #975

maybe i'm the only one pussy ungrateful, but it's getting slower and slower with every new version ...
shit started first when it changed to leveldb,
i only hope it's because of too frequent upgrades Smiley
when everybody's on newest version things may improve

It depends on what peer list you get for how fast it downloads the chain etc.

When you say slow do you mean the actual wallet starting or the chain download? If the chain download its not going to be a database speed its going to be the peer to peer file propagation.

i mean chain sync, including download and bootstrap sync as well,
my system doesn't like leveldb wallets, she's so nagging Smiley
asor
Hero Member
*****
Offline Offline

Activity: 756



View Profile
October 15, 2016, 09:56:11 PM
 #976

Sorry for the delay but i released v2.5.1. This update will disconnect the older nodes and there will be a change to the PoS diff retageting after block 1345000. Please remove the addnodes in the conf file if there are any and delete the peers.dat. If you have issues connecting try these addnodes:
addnode=84.105.200.241
addnode=89.154.0.37
addnode=50.107.86.75
addnode=68.224.238.173
addnode=83.240.176.25
addnode=73.214.14.51
If you shutdown the old wallet before block 1344639 you should be good and just sync up but after you need to remove the chain and redownload or use a backup/snapshot.

I recently compiled the latest releases (tried tar.gz of v2.5 and directly cloning from git repo) on my Odroid U2 using Linaro Ubuntu (Berkeley DB 5.3.15, December 19, 2011). The first time I start the Netcoin daemon, everything is fine. But when I restart the Netcoin daemon using "./netcoind stop" (checking that it was stopped successfully using Linux CMD "ps") followed by "./netcoind", the Netcoin daemon is always crashing with the following exception:

Code:
************************
EXCEPTION: St13runtime_error
init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process
netcoin in msghand

terminate called after throwing an instance of 'std::runtime_error'
  what():  init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process

When I delete the entire content of the netcoin directory in "/home/odroid/.netcoin" and start the Netcoin daemon, everything works fine and the chain is synchronizing. Whenever I need to restart the Netcoin daemon, I'm getting the error described above, I need to delete the entire directory content in "/home/odroid/.netcoin" and I need to download the entire blockchain again.
Other coins are working like a charm on my Odroid but not Netcoin, so I think it's a problem with Netcoin Undecided Huh Tongue

Did the older Netcoin versions had this issue aswell or did it start after a certain update? Also see you are using Berkeley DB 5.3 Netcoin uses BDB 4.8

V2.5 is the first Version I tried on my Odroid. I compiled V2.5.1 today using BDB 4.8:

Quote
odroid@odroid-server:/usr/local/bin$ grep DB_VERSION_STRING /usr/local/BerkeleyDB.4.8/include/db.h
#define DB_VERSION_STRING       "Berkeley DB 4.8.30: (April  9, 2010)"

Unfortunately, I'm still getting the error Cry
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 15, 2016, 09:57:43 PM
 #977

@Arjan

I was 2 days behind on the sync with new wallet. No compatibilty mode needed worked fine took me around 7 minutes max to sync up the 2 days and it staked straight away. Looking good to me great work. Now i don't need to worry about non 2.5 nodes and excluding them.

Thumbs up
desynct
Sr. Member
****
Offline Offline

Activity: 322


View Profile
October 15, 2016, 10:12:12 PM
 #978

V2.5 is the first Version I tried on my Odroid. I compiled V2.5.1 today using BDB 4.8:

Quote
odroid@odroid-server:/usr/local/bin$ grep DB_VERSION_STRING /usr/local/BerkeleyDB.4.8/include/db.h
#define DB_VERSION_STRING       "Berkeley DB 4.8.30: (April  9, 2010)"

Unfortunately, I'm still getting the error Cry

sorry folks maybe i'm goin full retard but how is that my win wallet is LDB (since v2.4), and your linux one is BDB ?
is it supposed to be soo different ?
o0o0
Hero Member
*****
Offline Offline

Activity: 798


View Profile
October 16, 2016, 03:08:23 AM
 #979

V2.5 is the first Version I tried on my Odroid. I compiled V2.5.1 today using BDB 4.8:

Quote
odroid@odroid-server:/usr/local/bin$ grep DB_VERSION_STRING /usr/local/BerkeleyDB.4.8/include/db.h
#define DB_VERSION_STRING       "Berkeley DB 4.8.30: (April  9, 2010)"

Unfortunately, I'm still getting the error Cry

sorry folks maybe i'm goin full retard but how is that my win wallet is LDB (since v2.4), and your linux one is BDB ?
is it supposed to be soo different ?

odroid is a single board pc like a rasp pi isn't it? are these arm? i suspect that they haven't got the latest linux build as it should only be level db now not berkeley
tepelstreeltje
Newbie
*
Offline Offline

Activity: 29


View Profile
October 16, 2016, 10:14:08 AM
 #980

Sorry for the delay but i released v2.5.1. This update will disconnect the older nodes and there will be a change to the PoS diff retageting after block 1345000. Please remove the addnodes in the conf file if there are any and delete the peers.dat. If you have issues connecting try these addnodes:
addnode=84.105.200.241
addnode=89.154.0.37
addnode=50.107.86.75
addnode=68.224.238.173
addnode=83.240.176.25
addnode=73.214.14.51
If you shutdown the old wallet before block 1344639 you should be good and just sync up but after you need to remove the chain and redownload or use a backup/snapshot.

I recently compiled the latest releases (tried tar.gz of v2.5 and directly cloning from git repo) on my Odroid U2 using Linaro Ubuntu (Berkeley DB 5.3.15, December 19, 2011). The first time I start the Netcoin daemon, everything is fine. But when I restart the Netcoin daemon using "./netcoind stop" (checking that it was stopped successfully using Linux CMD "ps") followed by "./netcoind", the Netcoin daemon is always crashing with the following exception:

Code:
************************
EXCEPTION: St13runtime_error
init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process
netcoin in msghand

terminate called after throwing an instance of 'std::runtime_error'
  what():  init_blockindex(): error opening database environment IO error: lock /home/odroid/.netcoin/txleveldb/LOCK: already held by process

When I delete the entire content of the netcoin directory in "/home/odroid/.netcoin" and start the Netcoin daemon, everything works fine and the chain is synchronizing. Whenever I need to restart the Netcoin daemon, I'm getting the error described above, I need to delete the entire directory content in "/home/odroid/.netcoin" and I need to download the entire blockchain again.
Other coins are working like a charm on my Odroid but not Netcoin, so I think it's a problem with Netcoin Undecided Huh Tongue

Did the older Netcoin versions had this issue aswell or did it start after a certain update? Also see you are using Berkeley DB 5.3 Netcoin uses BDB 4.8

V2.5 is the first Version I tried on my Odroid. I compiled V2.5.1 today using BDB 4.8:

Quote
odroid@odroid-server:/usr/local/bin$ grep DB_VERSION_STRING /usr/local/BerkeleyDB.4.8/include/db.h
#define DB_VERSION_STRING       "Berkeley DB 4.8.30: (April  9, 2010)"

Unfortunately, I'm still getting the error Cry

Not sure why you having this issue and why it holds a process to be honest. I have a daemon running on Ubuntu 16.04 VM but works without error and i can't seem to reproduce it.

Anyone else having this issue with the daemon?

V2.5 is the first Version I tried on my Odroid. I compiled V2.5.1 today using BDB 4.8:

Quote
odroid@odroid-server:/usr/local/bin$ grep DB_VERSION_STRING /usr/local/BerkeleyDB.4.8/include/db.h
#define DB_VERSION_STRING       "Berkeley DB 4.8.30: (April  9, 2010)"

Unfortunately, I'm still getting the error Cry

sorry folks maybe i'm goin full retard but how is that my win wallet is LDB (since v2.4), and your linux one is BDB ?
is it supposed to be soo different ?

odroid is a single board pc like a rasp pi isn't it? are these arm? i suspect that they haven't got the latest linux build as it should only be level db now not berkeley

LevelDB and BerkeleyDB are 2 different things. LDB is used to store part of the chaindata and BDB is used as a dependency required by the code. Most newer coinbase coins have the option to build the daemon with disabled wallet then BDB isn't used but Netcoin doesn't have that feature yet so it needs both to compile.
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 [49] 50 51 52 53 54 55 56 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!